# Uses of Enum Class
java.sql.RowIdLifetime

Packages that use RowIdLifetime
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of RowIdLifetime in java.sql

Subclasses with type arguments of type RowIdLifetime in java.sql
Modifier and Type
Class
Description
`enum`
`RowIdLifetime`
Enumeration for RowId life-time values.
Methods in java.sql that return RowIdLifetime
Modifier and Type
Method
Description
`RowIdLifetime`
DatabaseMetaData.`getRowIdLifetime()`
Indicates whether this data source supports the SQL `ROWID` type, and the lifetime for which a `RowId` object remains valid.
`static RowIdLifetime`
RowIdLifetime.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RowIdLifetime[]`
RowIdLifetime.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.